#pragma once

/**
 * \file Log.h
 * \brief File defining log functions
 */

#include <string>

namespace blitz {
namespace utils {

/**
 * \brief Logs a normal message.
 * \param msg The message to be logged.
 */
void LOG(const std::string& msg);

/**
 * \brief Logs a normal message in debug mode.
 * \param msg The message to be logged.
 */
void LOGD(const std::string& msg);

/**
 * \brief Logs an error message.
 * \param err The error message to be logged.
 */
void LOGE(const std::string& err);

}  // namespace utils
}  // namespace blitz
